Debian Bug report logs - #328601
RM: tkirc -- RoQA; unused, out of date, alternatives available

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>

Date: Fri, 16 Sep 2005 10:33:12 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Pekka Aleksi Knuutila <pa@debian.org>:
Bug#328601; Package tkirc. Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
New Bug report received and forwarded. Copy sent to Pekka Aleksi Knuutila <pa@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>
To: submit@bugs.debian.org
Subject: very old package, should this be removed?
Date: Fri, 16 Sep 2005 12:28:35 +0200
Package: tkirc
Version: 1.202-8
Severity: serious

Hi,

During the Debian QA meeting hold during Sept. 09th till 11th, we
decided that looking at packages that haven't been uploaded for a very
long time could cover up some QA problems.

I've done this now and your package showed up on the list. I propose
to remove it.
It has not many users, there is a newer upstream version available
(tkirc2) and your package is quite out of date wrt Debian's policies.

This usually means that your package matched some of the following
criteria:

 [1] Your packages has not had a maintainer upload for more than
     three years.

 [2] has one or more RC bugs with no answer from the maintainer (**)

 [3] the state of your packages in general seems to indicate that you
     might be MIA 

 [4] (if we propose a removal) it shows in popcon as having less than
     100 users with the package installed.

 [5] the package was not released with sarge

and at least ([1] and ( [2] or [3] or [4] or [5] )) was true.

(**) The maintainer not answering to RC bugs refers to bugs filed
more than one month before the time the check was performed.

After 7 days without answer from you (the maintainer) we will reassign
this bug to either WNPP (in case we propose to orphan it) or
ftp.debian.org (in case we propose to remove it).

The package will need an upload or an explanation for this action not to
proceed.

Please do *not* upload a package just to get off this list - it won't
help the package at all. Maintainers should be responsive and feel
responsible for their packages without needing other people to force
them to do work. Sometimes, finding a new maintainer or even removing
the package completly from the archive is better for Debian's users. 

Thanks!

Marc




Information forwarded to debian-bugs-dist@lists.debian.org, Pekka Aleksi Knuutila <pa@debian.org>:
Bug#328601; Package tkirc. Full text and rfc822 format available.

Acknowledgement sent to EikeSauer@t-online.de:
Extra info received and forwarded to list. Copy sent to Pekka Aleksi Knuutila <pa@debian.org>. Full text and rfc822 format available.

Message #10 received at 328601@bugs.debian.org (full text, mbox):

From: EikeSauer@t-online.de
To: Debian Bug Tracking System <328601@bugs.debian.org>
Subject: tkirc: hope it will be orphaned, not removed
Date: Sun, 02 Oct 2005 15:19:09 +0200
Package: tkirc
Version: 1.202-8
Followup-For: Bug #328601

I hope tkirc, which is a nice little IRC client I used 
for many years, will be orphaned instead of removed
from debian. I'm still using it from time to time.

BTW it could be made part of main instead of contrib by it's
new maintainer. It was moved to contrib due to bug #63474
because it depends on ircii which was part of non-us then 
(year 2000).

Perhaps having tkirc2 would be nice, but I think it's 
no good to remove tkirc when we don't have a tkirc2 package.

I'd take the package myself, but I'm not a DD (and not
even in NM queue yet).

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (40, 'testing'), (30, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.11
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages tkirc depends on:
ii  ircii                         20030315-1 Internet Relay Chat client
ii  tk8.4 [wish]                  8.4.9-1    Tk toolkit for Tcl and X11, v8.4 -

-- no debconf information



Bug reassigned from package `tkirc' to `ftp.debian.org'. Request was from Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #23 received at 328601-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 328601-close@bugs.debian.org
Cc: tkirc@packages.debian.org, tkirc@packages.qa.debian.org
Subject: Bug#328601: fixed
Date: Wed, 12 Oct 2005 15:05:14 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

     tkirc |    1.202-8 | source, all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 328601@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 16 Jun 2007 21:36:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:51:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.